-define(ERRCODE(Type), data_error_code:get(Type)).

%%%---------------------------------------------------------------------
%%% 通用错误码定义
%%%---------------------------------------------------------------------

-define(FAIL, ?ERRCODE(fail)).  							%% 操作失败
-define(SUCCESS, ?ERRCODE(success)). 						%% 操作成功
-define(GOLD_NOT_ENOUGH, ?ERRCODE(gold_not_enough)).		%% 钻石不足
-define(FGOLD_NOT_ENOUGH, ?ERRCODE(fgold_not_enough)).      %% 粉钻不足
-define(BGOLD_NOT_ENOUGH,?ERRCODE(bgold_not_enough)). 		%% 绑钻不足
-define(COIN_NOT_ENOUGH, ?ERRCODE(coin_not_enough)).        %% 卢币不足
-define(MONEY_NOT_ENOUGH, ?ERRCODE(money_not_enough)). 		%% 金额不足
-define(GOODS_NOT_ENOUGH, ?ERRCODE(goods_not_enough)).      %% 物品不足
-define(HONOUR_NOT_ENOUGH, ?ERRCODE(honour_not_enough)).    %% 荣誉值不足
-define(EXP_NOT_ENOUGH, ?ERRCODE(exp_not_enough)).          %% 经验值不足
-define(MISSING_CONFIG, ?ERRCODE(missing_config)). 		    %% 缺失配置
-define(FIGURE_ACTIVED, ?ERRCODE(figure_actived)). 		    %% 外观形象已激活
-define(LEVEL_LIMIT, ?ERRCODE(lv_limit)).                   %% 等级不足，功能暂未开放